MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/exclude.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
GSList * | exclude_list_load (const char *path_fs)
| Loads and parses a .mpdignore file.
void | exclude_list_free (GSList *list)
| Frees a list returned by exclude_list_load().
bool | exclude_list_check (GSList *list, const char *name_fs)
| Checks whether one of the patterns in the .mpdignore file matches the specified file name.

## Function Documentation

bool exclude_list_check | ( | GSList * | list,
|  | const char * | name_fs
| ) |  |

Checks whether one of the patterns in the .mpdignore file matches the specified file name.

void exclude_list_free | ( | GSList * | list | ) |

Frees a list returned by exclude_list_load().

GSList* exclude_list_load | ( | const char * | path_fs | ) |

Loads and parses a .mpdignore file.